# RPM Spec file for GGZ Grubby Module
%define name ggz-grubby
%define version 0.0.6
%define release 2mdk

# Note: The split is between ggz-grubby and ggz-grubby-devel, rather
# than between ggz-grubby, libggz-grubby0, and libggz-grubby0-devel,
# because the libraries are modules not used outside of grubby (and
# I'm not sure what the static libraries are for).

Name: %{name}
Summary: GGZ Grubby Module
Version: %{version}
Release: %{release}
License: GPL
Group: Games/Other
Source: %name-%version.tar.bz2
URL: http://ggz.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: libggz1 >= %{version}-%{release}
BuildRequires: libggz1-devel >= %{version}-%{release}
BuildRequires: libggz-client2 >= %{version}-%{release}
BuildRequires: libggz-client2-devel >= %{version}-%{release}
Requires: libggz1 >= %{version}-%{release}
Requires: libggz-client2 >= %{version}-%{release}

%description
Grubby module for the GGZ Gaming Zone.

# Main lib package
%package -n %{name}-devel
Summary:   GGZ Grubby Module development libraries
Group:     Games/Other
Requires:  %{name} = %{version}-%{release}
Requires: libggz1 >= %{version}-%{release}
Requires: libggz1-devel >= %{version}-%{release}
Requires: libggz-client2 >= %{version}-%{release}
Requires: libggz-client2-devel >= %{version}-%{release}

%description -n %{name}-devel
Grubby module for the GGZ Gaming Zone.

This package contains the libraries used for development.

%prep
%setup

%build
%configure
%make

%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean
# WARNING - Does not test for a stupid BuildRoot
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README

%{_bindir}/grubby
%{_bindir}/grubby-config

%{_datadir}/grubby/dict.pl
%{_datadir}/grubby/embedtest.rb
%{_datadir}/grubby/meeting.rb
%{_datadir}/grubby/messages.rb
%{_datadir}/grubby/rdf.pl

%{_libdir}/grubby/coremodules/libguru_i18n.so.0
%{_libdir}/grubby/coremodules/libguru_i18n.so.0.0.0
%{_libdir}/grubby/coremodules/libguru_netconsole.so.0
%{_libdir}/grubby/coremodules/libguru_netconsole.so.0.0.0
%{_libdir}/grubby/coremodules/libguru_netggz.so.0
%{_libdir}/grubby/coremodules/libguru_netggz.so.0.0.0
%{_libdir}/grubby/coremodules/libguru_player.so.0
%{_libdir}/grubby/coremodules/libguru_player.so.0.0.0

%{_libdir}/grubby/modules/libgurumod_badword.so.0
%{_libdir}/grubby/modules/libgurumod_badword.so.0.0.0
%{_libdir}/grubby/modules/libgurumod_embed.so.0
%{_libdir}/grubby/modules/libgurumod_embed.so.0.0.0
%{_libdir}/grubby/modules/libgurumod_exec.so.0
%{_libdir}/grubby/modules/libgurumod_exec.so.0.0.0
%{_libdir}/grubby/modules/libgurumod_extra.so.0
%{_libdir}/grubby/modules/libgurumod_extra.so.0.0.0
%{_libdir}/grubby/modules/libgurumod_learning.so.0
%{_libdir}/grubby/modules/libgurumod_learning.so.0.0.0
%{_libdir}/grubby/modules/libgurumod_people.so.0
%{_libdir}/grubby/modules/libgurumod_people.so.0.0.0
%{_libdir}/grubby/modules/libgurumod_programming.so.0
%{_libdir}/grubby/modules/libgurumod_programming.so.0.0.0
%{_libdir}/grubby/modules/libgurumod_self.so.0
%{_libdir}/grubby/modules/libgurumod_self.so.0.0.0
%{_libdir}/grubby/modules/libgurumod_simplereturn.so.0
%{_libdir}/grubby/modules/libgurumod_simplereturn.so.0.0.0

%{_mandir}/man1/grubby-config.1.*
%{_mandir}/man6/grubby.6.*

%files -n %{name}-devel
%defattr(-,root,root)
%{_libdir}/grubby/coremodules/libguru_i18n.a
%{_libdir}/grubby/coremodules/libguru_i18n.la
%{_libdir}/grubby/coremodules/libguru_i18n.so
%{_libdir}/grubby/coremodules/libguru_netconsole.a
%{_libdir}/grubby/coremodules/libguru_netconsole.la
%{_libdir}/grubby/coremodules/libguru_netconsole.so
%{_libdir}/grubby/coremodules/libguru_netggz.a
%{_libdir}/grubby/coremodules/libguru_netggz.la
%{_libdir}/grubby/coremodules/libguru_netggz.so
%{_libdir}/grubby/coremodules/libguru_player.a
%{_libdir}/grubby/coremodules/libguru_player.la
%{_libdir}/grubby/coremodules/libguru_player.so

%{_libdir}/grubby/modules/libgurumod_badword.a
%{_libdir}/grubby/modules/libgurumod_badword.la
%{_libdir}/grubby/modules/libgurumod_badword.so
%{_libdir}/grubby/modules/libgurumod_embed.a
%{_libdir}/grubby/modules/libgurumod_embed.la
%{_libdir}/grubby/modules/libgurumod_embed.so
%{_libdir}/grubby/modules/libgurumod_exec.a
%{_libdir}/grubby/modules/libgurumod_exec.la
%{_libdir}/grubby/modules/libgurumod_exec.so
%{_libdir}/grubby/modules/libgurumod_extra.a
%{_libdir}/grubby/modules/libgurumod_extra.la
%{_libdir}/grubby/modules/libgurumod_extra.so
%{_libdir}/grubby/modules/libgurumod_learning.a
%{_libdir}/grubby/modules/libgurumod_learning.la
%{_libdir}/grubby/modules/libgurumod_learning.so
%{_libdir}/grubby/modules/libgurumod_people.a
%{_libdir}/grubby/modules/libgurumod_people.la
%{_libdir}/grubby/modules/libgurumod_people.so
%{_libdir}/grubby/modules/libgurumod_programming.a
%{_libdir}/grubby/modules/libgurumod_programming.la
%{_libdir}/grubby/modules/libgurumod_programming.so
%{_libdir}/grubby/modules/libgurumod_self.a
%{_libdir}/grubby/modules/libgurumod_self.la
%{_libdir}/grubby/modules/libgurumod_self.so
%{_libdir}/grubby/modules/libgurumod_simplereturn.a
%{_libdir}/grubby/modules/libgurumod_simplereturn.la
%{_libdir}/grubby/modules/libgurumod_simplereturn.so

%changelog
* Mon Mar 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.0.6-2mdk
- from andi payn <payn@myrealbox.com> :
	- complete the Mandrakization process

* Fri Jan 19 2003 Andi Payn <payn@myrealbox.net>
- Initial specification file
